Package org.pgpainless.algorithm

# Enum Class RevocationStateType

java.lang.Object
java.lang.Enum<RevocationStateType>
org.pgpainless.algorithm.RevocationStateType

All Implemented Interfaces:
  `Serializable`, `Comparable<RevocationStateType>`, `Constable`

public enum RevocationStateType extends Enum<RevocationStateType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`hardRevoked`
Certificate is revoked with a hard revocation.
`notRevoked`
Certificate is not revoked.
`softRevoked`
Certificate is revoked with a soft revocation.

## Method Summary

Modifier and Type
Method
Description
`static RevocationStateType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RevocationStateType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### notRevoked

public static final RevocationStateType notRevoked
Certificate is not revoked.

### softRevoked

public static final RevocationStateType softRevoked
Certificate is revoked with a soft revocation.

### hardRevoked

public static final RevocationStateType hardRevoked
Certificate is revoked with a hard revocation.

## Method Details

### values

public static RevocationStateType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RevocationStateType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null